Notifications API

In-app notifications for the signed-in user.

OperationMethod and path
List my notificationsGET /api/v1/notification
Mark a notification readPOST /api/v1/notification/{id}/read
Mark every notification readPOST /api/v1/notification/read-all
GET /api/v1/notification

List my notifications

notification.list · requires x-api-key

Parameters

NameInTypeNotes
offset query integer
limit query integer
q query string
unread query boolean

Example

curl -X GET "https://api.siaran.my/api/v1/notification" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

3 top-level fields
  • items object[] required
    7 fields
    • id string required
    • title string required
    • body string nullable
    • link string nullable
    • kind string
    • readAt string nullable date-time
    • createdAt string date-time
  • total integer required
  • unread integer
POST /api/v1/notification/{id}/read

Mark a notification read

notification.read · requires x-api-key

Parameters

NameInTypeNotes
id required path string

Example

curl -X POST "https://api.siaran.my/api/v1/notification/ID/read" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • success boolean required
POST /api/v1/notification/read-all

Mark every notification read

notification.readAll · requires x-api-key

Example

curl -X POST "https://api.siaran.my/api/v1/notification/read-all" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

1 top-level fields
  • success boolean required